Skip to content
Start here

Set Global WARP override state

client.ZeroTrust.Devices.Resilience.GlobalWARPOverride.New(ctx, params) (*DeviceResilienceGlobalWARPOverrideNewResponse, error)
POST/accounts/{account_id}/devices/resilience/disconnect

Sets the Global WARP override state.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Resilience Write
ParametersExpand Collapse
params DeviceResilienceGlobalWARPOverrideNewParams
AccountID param.Field[string]Optional

Path param

Disconnect param.Field[bool]

Body param: Disconnects all devices on the account using Global WARP override.

Justification param.Field[string]Optional

Body param: Reasoning for setting the Global WARP override state. This will be surfaced in the audit log.

ReturnsExpand Collapse
type DeviceResilienceGlobalWARPOverrideNewResponse struct{…}
Disconnect boolOptional

Disconnects all devices on the account using Global WARP override.

Timestamp TimeOptional

When the Global WARP override state was updated.

formatdate-time

Set Global WARP override state

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  globalWARPOverride, err := client.ZeroTrust.Devices.Resilience.GlobalWARPOverride.New(context.TODO(), zero_trust.DeviceResilienceGlobalWARPOverrideNewParams{
    AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
    Disconnect: cloudflare.F(false),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", globalWARPOverride.Disconnect)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "disconnect": false,
    "timestamp": "1970-01-01T00:00:00.000Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "disconnect": false,
    "timestamp": "1970-01-01T00:00:00.000Z"
  },
  "success": true
}